Subject: Re: [Netconf] Draft Charter Proposal for NETCONF WG

From: "Mehmet Ersue" <[email-masked]>
Date: Thu, 2 Mar 2017 18:44:39 +0100

Hi Lada, All,

I appreciate the discussion on the different aspects.

While I think similarly that an architecture document would be useful, I
wonder how long we would need to finalize a consistent overarching
architecture of the network configuration framework. 
Do we think we can stop everything and finalize such an architecture first?
IOW may we let other WGs and implementers of the datastore concept wait on
it that long?

After some thinking I come to conclusion that a practical approach would be
more valuable, where only a particular package like datastore handling is
revised.

Cheers,
Mehmet

> -----Original Message-----
> From: Ladislav Lhotka [mailto:[email-masked]]
> Sent: Wednesday, March 1, 2017 1:01 PM
> To: t.petch <[email-masked]>
> Cc: Jürgen Schönwälder <[email-masked]>; Mehmet
> Ersue <[email-masked]>; Netconf <[email-masked]>
> Subject: Re: [Netconf] Draft Charter Proposal for NETCONF WG
> 
> 
> > On 1 Mar 2017, at 10:58, t.petch <[email-masked]> wrote:
> >
> >
> > ----- Original Message -----
> > From: "Juergen Schoenwaelder" <[email-masked]>
> > To: "Mehmet Ersue" <[email-masked]>
> > Cc: "'Netconf'" <[email-masked]>
> > Sent: Monday, February 27, 2017 10:14 PM
> >> On Mon, Feb 27, 2017 at 09:44:06PM +0100, Mehmet Ersue wrote:
> >>
> >>> 6. Revise the current NETCONF datastore concept as a protocol- and
> > modeling
> >>> language-independent standard as part of the network configuration
> >>> framework. Use the datastore solution proposal in
> >>> draft-ietf-netmod-revised-datastores as its basis. Will be used as a
> >>> normative reference in protocol specifications.
> >>
> >> There is no point in dupliating work in WGs that have a common
> >> history and a common set of active contributors.
> >
> > Juergen
> >
> > I am not sure what you are proposing;  Currently, datastores are
> > poorly described in RFC6241 and RFC7950 and the publication of another
> > incomplete description in the shape of
> > draft-ietf-netmod-revised-datastores
> > will likely make things worse.
> >
> > I see a need for a datastores RFC, probably separate from the current
> > specifications, and do see the NETCONF WG as better placed to do it.
> >
> > I think that the rush to  get
> > draft-ietf-netmod-revised-datastores
> > out is militating against the long term health of NETCONF.
> >
> 
> I agree, and I would also add draft-ietf-netmod-schema-mount to it (of
> which I am a co-author).
> 
> Original NETCONF and YANG were limited but (mostly) coherent and, in a
> way, simple and elegant. The recent developments are afterthoughts and
> kitchen sinks that will destroy these qualities.
> 
> Instead of rushing with these documents, we should step back and think
> about a new architecture that could consistently support the new
> requirements.
> 
> Lada
> 
> 
> > Tom Petch
> >
> >> /js
> >>
> >> --
> >> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> >> Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> >> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> >>
> >> _______________________________________________
> >> Netconf mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/netconf
> >
> > _______________________________________________
> > Netconf mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/netconf
> 
> --
> Ladislav Lhotka, CZ.NIC Labs
> PGP Key ID: 0xB8F92B08A9F76C67
> 
> 
> 
>

---

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 03 Mar 2017 17:16:49 +0100

> architecture of the network configuration framework.

It needn't necessarily be 6244bis or something, but we need to review
where we are, what the new requirements mean, and then split the problem
into manageable chunks/layers. And then I guess it may also be easier to
split the work between the two WGs.

> Do we think we can stop everything and finalize such an architecture

If we don't do that, I am seriously concerned that we are currently
heading towards something that is incomprehensible and extremely
difficult to implement - if not outright broken. 

> IOW may we let other WGs and implementers of the datastore concept wait on

It would be much worse to let people jump on what we come up with and
then realize that it won't work.

Lada

---

From: "Mehmet Ersue" <[email-masked]>
Date: Sun, 5 Mar 2017 17:14:41 +0100

Hi Lada,

I am worrying that we would need to stop the work we are doing currently.

Cheers,
Mehmet

> Sent: Friday, March 3, 2017 5:17 PM
> To: Mehmet Ersue <[email-masked]>; 't.petch' <[email-masked]>
> Cc: 'Jürgen Schönwälder' <[email-masked]>;
> 'Netconf' <[email-masked]>
> Subject: RE: [Netconf] Draft Charter Proposal for NETCONF WG
> 
> > While I think similarly that an architecture document would be useful,
> > I wonder how long we would need to finalize a consistent overarching
> It needn't necessarily be 6244bis or something, but we need to review where
> we are, what the new requirements mean, and then split the problem into
> manageable chunks/layers. And then I guess it may also be easier to split the
> work between the two WGs.
> 
> If we don't do that, I am seriously concerned that we are currently heading
> towards something that is incomprehensible and extremely difficult to
> implement - if not outright broken.
> 
> > IOW may we let other WGs and implementers of the datastore concept
> > wait on it that long?
> 
> > After some thinking I come to conclusion that a practical approach
> > would be more valuable, where only a particular package like datastore
> > handling is revised.
> >
> > Cheers,
> > Mehmet
> >
> >> >>> language-independent standard as part of the network
> >> >>> configuration framework. Use the datastore solution proposal in
> >> >>> draft-ietf-netmod-revised-datastores as its basis. Will be used
> >> >>> as a normative reference in protocol specifications.
> >> >>
> >> > poorly described in RFC6241 and RFC7950 and the publication of
> >> > another incomplete description in the shape of
> >> > I see a need for a datastores RFC, probably separate from the
> >> > current specifications, and do see the NETCONF WG as better placed to
> do it.
> >> >
> >> I agree, and I would also add draft-ietf-netmod-schema-mount to it
> >> (of which I am a co-author).
> >>
> >> Original NETCONF and YANG were limited but (mostly) coherent and, in
> >> a way, simple and elegant. The recent developments are afterthoughts
> >> and kitchen sinks that will destroy these qualities.
> >>
> >> Instead of rushing with these documents, we should step back and
> >> think about a new architecture that could consistently support the
> >> new requirements.
> >>
> >> Lada
> >>
> >>
> >> > Tom Petch
> >> >
> >> >> /js
> >> >>
> >> >> --